Skip to main content
Back to API List To create a conversation test suite by importing test cases from a file. Returns dsId, the ID to check the import status.
FieldValue
MethodPOST
Endpointhttps://{{host}}/api/public/stream/:streamId/conversation/testsuite/import
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Conversation Tests Management; Admin Console: Conversation Tests Management

Query Parameters

ParameterDescriptionRequired
hostEnvironment URL. For example, https://platform.kore.ai.Required
StreamIDThe Stream ID. Access it under General Settings on the App Builder.Required

Sample Request

curl --location --request POST 'https://{{host}}/api/public/stream/{{streamId}}/conversation/testsuite/import' \
--header 'auth: {jwt-code}' \
--header 'bot-language: {language-code}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "fileName": "6721ff68208caa4dffe35be4",
    "name": "platinum",
    "tags": [],
    "description": "NewTestCase",
    "userEmailId": "botowner@domain.com"
}'

Body Parameters

ParameterDescriptionRequired
fileNameFile containing the conversation test suite details.Required
nameTest suite name.Required
tagsConversation test case tags list.Optional
descriptionTest suite description.Optional
userEmailIdEmail ID of the bot or account owner.Required

Sample Response

{
    "status": "IN_PROGRESS",
    "dsId": "ds-f8xxxxx5-5xxa-5xx4-axx4-48xxxxxxxxx9"
}